#!/bin/sh

test_description='test cloning a repository with detached HEAD'
. ./test-lib.sh

head_is_detached() {
	git --git-dir=$1/.git rev-parse --verify HEAD &&
	test_must_fail git --git-dir=$1/.git symbolic-ref HEAD
}

test_expect_success 'setup' '
	echo one >file &&
	git add file &&
	git commit -m one &&
	echo two >file &&
	git commit -a -m two &&
	git tag two &&
	echo three >file &&
	git commit -a -m three
'

test_done
